| v_hcresampler Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Data Structures
Overview

## Data Structures
struct | XV_Hcresampler_l2
| H Chroma Resampler Layer 2 data. More...

## Hw Configuration
The following constants define the horiz. resampler HW MAX configuration
enum | XV_HCRESAMPLER_TAPS
| This typedef enumerates the supported taps. More...
enum | XV_HCRESAMPLER_CONVERSION
| This typedef enumerates the conversion type. More...
enum | XV_HCRESAMPLER_TYPE
| This typedef enumerates the resampling algorithm. More...
int | XV_HcrsmplInitialize (XV_Hcresampler_l2 *InstancePtr, u16 DeviceId)
| This function initializes the core instance. More...
void | XV_HCrsmplStart (XV_Hcresampler_l2 *InstancePtr)
| This function starts the Chroma resampler core. More...
void | XV_HCrsmplStop (XV_Hcresampler_l2 *InstancePtr)
| This function stops the Chroma resampler core. More...
void | XV_HCrsmplLoadDefaultCoeff (XV_Hcresampler_l2 *InstancePtr)
| This function loads default filter coefficients in the chroma resampler coefficient storage based on the selected TAP configuration. More...
void | XV_HCrsmplrLoadExtCoeff (XV_Hcresampler_l2 *InstancePtr, u16 num_taps, const short *Coeff)
| This function loads user defined filter coefficients in the horiz. More...
void | XV_HCrsmplSetActiveSize (XV_Hcresampler_l2 *InstancePtr, u32 width, u32 height)
| This function configures the Chroma resampler active resolution. More...
void | XV_HCrsmplSetFormat (XV_Hcresampler_l2 *InstancePtr, XVidC_ColorFormat formatIn, XVidC_ColorFormat formatOut)
| This function configures the Chroma resampler for the required format conversion. More...
void | XV_HCrsmplDbgReportStatus (XV_Hcresampler_l2 *InstancePtr)
| This function prints Chroma Resampler status on the console. More...
#define | XV_HCRSMPLR_MAX_TAPS (10)
#define | XV_HCRSMPLR_MAX_PHASES (2)

## Enumeration Type Documentation

enum XV_HCRESAMPLER_CONVERSION

This typedef enumerates the conversion type.

enum XV_HCRESAMPLER_TAPS

This typedef enumerates the supported taps.

enum XV_HCRESAMPLER_TYPE

This typedef enumerates the resampling algorithm.

## Function Documentation

void XV_HCrsmplDbgReportStatus | ( | XV_Hcresampler_l2 * | InstancePtr | ) |

This function prints Chroma Resampler status on the console.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

References XV_hcresampler_Config::BaseAddress, XV_hcresampler::Config, XV_hcresampler_Config::NumTaps, and XV_hcresampler_Config::ResamplingType.

int XV_HcrsmplInitialize | ( | XV_Hcresampler_l2 * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

This function initializes the core instance.

Parameters

  InstancePtr | is a pointer to core instance to be worked upon
  DeviceId | is instance id of the core

Returns
  XST_SUCCESS if device is found and initialized XST_DEVICE_NOT_FOUND if device is not found

void XV_HCrsmplLoadDefaultCoeff | ( | XV_Hcresampler_l2 * | InstancePtr | ) |

This function loads default filter coefficients in the chroma resampler coefficient storage based on the selected TAP configuration.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

References XV_hcresampler::Config, XV_hcresampler_Config::NumTaps, and XV_HCrsmplrLoadExtCoeff().

void XV_HCrsmplrLoadExtCoeff | ( | XV_Hcresampler_l2 * | InstancePtr,
|  | u16 | num_taps,
|  | const short * | Coeff
| ) |  |

This function loads user defined filter coefficients in the horiz.

chroma resampler coefficient storage

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  num_taps | is the number of taps
  Coeff | is a pointer to user defined filter coefficients table

Returns
  None

References XV_hcresampler::Config, and XV_hcresampler_Config::NumTaps.

Referenced by XV_HCrsmplLoadDefaultCoeff().

void XV_HCrsmplSetActiveSize | ( | XV_Hcresampler_l2 * | InstancePtr,
|  | u32 | width,
|  | u32 | height
| ) |  |

This function configures the Chroma resampler active resolution.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  width | is the active frame width
  height | is the active frame height

Returns
  None

void XV_HCrsmplSetFormat | ( | XV_Hcresampler_l2 * | InstancePtr,
|  | XVidC_ColorFormat | formatIn,
|  | XVidC_ColorFormat | formatOut
| ) |  |

This function configures the Chroma resampler for the required format conversion.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  formatIn | is the input chroma format
  formatOut | is required chroma format

Returns
  None

References XV_hcresampler::Config, and XV_hcresampler_Config::ResamplingType.

void XV_HCrsmplStart | ( | XV_Hcresampler_l2 * | InstancePtr | ) |

This function starts the Chroma resampler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

void XV_HCrsmplStop | ( | XV_Hcresampler_l2 * | InstancePtr | ) |

This function stops the Chroma resampler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None